#ifndef _P1_CAMERA_SDK_COMMON_ERROR_CODES_H
#define _P1_CAMERA_SDK_COMMON_ERROR_CODES_H

namespace P1 {
namespace CameraSdk
{

//-----------------------------------------
enum ErrorCode
{
	kNoError = 0,
	kSuccess = kNoError,
	kError = -1,
	kErrorReturnParameterTooSmall = -2,

	kErrorSdkNotOpen = -3,
	kErrorSdkNoFactory = -4,
	kErrorSdkFactoryError = -5,
	kErrorSdkNotYetImplemented = -6,

	kErrorSdkMissingBindingParameter = -7,
	kErrorSdkBindingMethodFailed = -8,
	kErrorSdkDataAlignmentFailure = -9,

	kErrorCameraNotOpen = -10,
	kErrorCameraNotFound = -11,
	kErrorCameraCouldNotConnect = -12,

    kErrorNoPropertyListFound = -13,

    kErrorCameraInvalidIpAddress = -15,
    kErrorCameraInitializationFailed = -16,
    kErrorCameraOpenFailed = -17,
    kErrorCameraConnectTimeout = -18,

	kErrorPropertyNotFound = -20,
	kErrorPropertyTypeInvalid = -21,
	kErrorPropertyTypeNotFound = -22,
	kErrorPropertyWrongType = -23,
	kErrorPropertyGetFailed = -24,
	kErrorPropertySetFailed = -25,
	kErrorPropertyDescriptorNotFound = -26,
	kErrorPropertyUnknownType = -27,
	kErrorPropertyDescriptionNotFound = -28,
	kErrorPropertyNameNotFound = -29,
	kErrorPropertyGroupNotFound = -30,
	kErrorPropertyEnabledNotFound = -31,
	kErrorPropertyUserLevelNotFound = -32,
	kErrorPropertyDisplayIndexNotFound = -33,
	kErrorPropertyGetDefaultFailed = -34,
	kErrorPropertyGetRangeFailed = -35,
	kErrorPropertyGetValueListFailed = -36,
	kErrorPropertyGetReadOnlyFailed = -37,
	kErrorPropertyOutOfRange = -38,
	kErrorPropertyValueNotInList = -39,

	kErrorNotificationAlreadyExists = -40,
	kErrorNotificationTimeOut = -41,
	kErrorNotificationInternalError = -42,
	kErrorNotificationDoesNotExist = -43,
	kErrorNotificationNotRegistered = -44,
	kErrorNotificationListenerNotRegistered = -45,

	kErrorCameraTriggerFailed = -50,

	kErrorImageReceiverTimeout = -60,
	kErrorImageReceiverInternalError = -61,
	kErrorImageReceiverAborted = -62,

	kErrorLiveViewFailedToGetImage = -70,

	kErrorMissingPreAllocatedMemoryBuffer = -80,

	kErrorCameraConnectionLimitReached = -90,
	kErrorCameraConnectionAuthenicationFailure = -91,

	kErrorAnotherThreadIsAlreadyPending = 100,
};

} } // P1::CameraSdk

#endif // _P1_CAMERA_SDK_COMMON_ERROR_CODES_H
