#ifndef _P1_CAMERA_VERSION_
#define _P1_CAMERA_VERSION_

#include "C_P1CameraCommonStructs.h"
#include "C_P1CameraCommonLinkage.h"

namespace P1
{
namespace CameraSdk
{
    /**
     * @brief Get the Sdk build Version
     *
     * @return A struct that contains the semantic version
     */
    EXPORT_API Version GetSdkVersion();

    /**
     * @brief Get the Sdk Build Date
     *
     * @return A date time string on a form that varies by the compiler used
     */
    EXPORT_API const char* GetSdkBuildDate();

    /**
     * @brief Get the Sdk internal SCM revision hash
     *
     * @return A hash string
     */
    EXPORT_API const char* GetSdkBuildHash();

    /**
     * @brief Get the Sdk Build Compiler human name
     *
     * @return A human readable name of the compiler that compiled the SDK
     */
    EXPORT_API const char* GetSdkBuildCompiler();
}
}

#endif //_P1_CAMERA_VERSION_